INTERFACE
SUBROUTINE TRLTOM_DIL(KDGLG,KDGLL,KNSMIN,KNUMP,KTYP,&
 & KPNM,KPNML,KRDEB,KNPROCM,KMYMS,KGLG,KGLG0,KDGNHL0,&
 & PTAB_IN,PTAB_OUT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMCT0 ,ONLY : NPRTRW
USE MPL_MODULE
INTEGER(KIND=JPIM),INTENT(IN) :: KDGLG
INTEGER(KIND=JPIM),INTENT(IN) :: KDGLL
INTEGER(KIND=JPIM),INTENT(IN) :: KNSMIN
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMP
INTEGER(KIND=JPIM),INTENT(IN) :: KTYP
INTEGER(KIND=JPIM),INTENT(IN) :: KPNM
INTEGER(KIND=JPIM),INTENT(IN) :: KPNML
INTEGER(KIND=JPIM),INTENT(IN) :: KRDEB(0:KNSMIN+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KNPROCM(0:KNSMIN)
INTEGER(KIND=JPIM),INTENT(IN) :: KMYMS(KNSMIN+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KGLG(KDGLG*(3-KTYP))
INTEGER(KIND=JPIM),INTENT(IN) :: KGLG0(KDGLG*(3-KTYP),NPRTRW)
INTEGER(KIND=JPIM),INTENT(IN) :: KDGNHL0(NPRTRW)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAB_IN(KDGLL,KPNM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTAB_OUT(KDGLG,KPNML)
END SUBROUTINE TRLTOM_DIL
END INTERFACE
